SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;


CREATE TABLE `asuna_user_table` (
  `ユーザーID` varchar(20) NOT NULL COMMENT 'required',
  `氏名` varchar(20) NOT NULL COMMENT 'required',
  `ふりがな` varchar(40) NOT NULL,
  `所属` varchar(60) NOT NULL,
  `パスフレーズ` varchar(250) NOT NULL,
  `管理フラグ` enum('閲覧のみ','一般','管理者') NOT NULL DEFAULT '一般' COMMENT 'required',
  `備考` varchar(200) NOT NULL COMMENT 'textarea',
  `編集者` varchar(100) NOT NULL COMMENT 'textarea',
  `登録日時` datetime NOT NULL DEFAULT current_timestamp(),
  `更新日時` datetime NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `更新回数` int(10) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

INSERT INTO `asuna_user_table` (`ユーザーID`, `氏名`, `ふりがな`, `所属`, `パスフレーズ`, `管理フラグ`, `備考`, `編集者`, `登録日時`, `更新日時`, `更新回数`) VALUES
('asuna', '結城 明日奈', 'ゆうき あすな', '血盟騎士団', '$2y$10$l06qKPn5OAiRnBzFhdLrnu7aqZEfzIKilkDxb61l7VjYNcvUCztDS', '管理者', '副団長', '結城 明日奈', '2020-09-30 00:00:00', '2020-09-30 00:00:00', 0);


ALTER TABLE `asuna_user_table`
  ADD PRIMARY KEY (`ユーザーID`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
