<?php
//---------------------------------------------------------------------------
//Charactor set is UTF-8
//漢字コードはＵＴＦ－８
//---------------------------------------------------------------------------
/**
 * HTML ヘッダ部分の出力
 *
 */
//---------------------------------------------------------------------------
//@link https://qiita.com/sooogle/items/c066b0d69a81370653f7 (2021/07確認)
header("X-XSS-Protection: 1; mode=block");	//ブラウザのXSSフィルターを有効化
header("X-Content-Type-Options: nosniff");	//レスポンスヘッダのContentTypeが優先
header("X-Frame-Options: deny");			//クリックジャッキング対策

print <<< kHTML01_INC
<!DOCTYPE html>
<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta content="author" name="Y.ENDOU">
	<meta content="database,front-end,freeware" name="keywords">
	<meta content="データベースフロントエンド" name="description">
	<title>asuna</title>
	<link href="reset.css" rel="stylesheet">
	<link href="asuna.css" rel="stylesheet">
	<script src="js/jquery-3.5.1.js"></script><!-- jQueryはver.3.5.1限定 -->
</head>
<body>

kHTML01_INC;
//---------------------------------------------------------------------------
