SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

-- --------------------------------------------------------

CREATE TABLE `test_table` (
 `ID` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `text_required` varchar(20) COLLATE utf8_unicode_ci NOT NULL COMMENT 'required',
  `text_varchar` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `search` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'search',
  `tel` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'tel',
  `url` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'url',
  `email` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'email',
  `password` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'password',
  `datetime_local` datetime DEFAULT NULL,
  `date` date DEFAULT NULL,
  `month` int(10) UNSIGNED DEFAULT NULL,
  `week` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `time` time DEFAULT NULL,
  `number` int(10) UNSIGNED DEFAULT NULL,
  `textarea` text COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'required	',
  `enum` enum('りんご','みかん','ばなな') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'ばなな' COMMENT 'required',
  `float2` float NOT NULL,
  `datetime2` datetime NOT NULL DEFAULT current_timestamp(),
  `char2` char(100) COLLATE utf8_unicode_ci NOT NULL COMMENT 'textarea',
  `text_text` text COLLATE utf8_unicode_ci NOT NULL,
  `編集者` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'textarea',
  `更新日時` datetime DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `更新回数` int(10) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
